import { Component } from 'react';
import { IPopoverContext } from './Context';
export declare type PopoverAnchorGetElementFn = (node: Element | Text | null) => Element | Text | null;
export interface IPopoverAnchorProps {
    onClick?: () => void;
    getElement?: PopoverAnchorGetElementFn;
}
export declare class PopoverAnchor extends Component<IPopoverAnchorProps> {
    static contextType: import("react").Context<IPopoverContext>;
    context: IPopoverContext;
    getElement(): Element | Text;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): import("react").ReactNode;
}
export default PopoverAnchor;
